<program_description xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.decision-deck.org/2009/XMCDA-2.0.0 http://sma.uni.lu/d2cms/ws/_downloads/description.xsd">
	
	<program provider="UTAR" name="XYPlotAlternativesValues" displayName="XYPlotAlternativesValues" version="1.1" />
	
	<documentation>
		<description>Give a graphical XY reprentation of two alternativesValues (ex: ranking), providing an efficient way to compare them</description>
		<contact>Boris Leistedt (boris.leistedt@gmail.com)</contact>
	</documentation>
	
	
	
	
	<parameters>
		
		
		<input id="alt" name="alternatives" displayName="alternatives" isoptional="0">
			<documentation>
				<description>
					A list of alternatives. Alternatives can be activated or desactivated via the &lt;active&gt; tag (true or false). By default (no &lt;active&gt; tag), alternatives are considered as active. 
				</description>
			</documentation>
			<xmcda tag="alternatives">
				<![CDATA[
					<alternatives>
						<alternative>
							<alternativeID> [...] </alternativeID>
						</alternative>
					</alternatives>
				]]>
			</xmcda>
		</input>
	
		
		
		
		<input id="alternativesValues1"	name="alternativesValues1"		displayName="alternativesValues1" isoptional="0" >
			<documentation>
				<description>Values of the first set of alternatives.</description>
			</documentation>
			<xmcda tag="alternativesValues">
				<![CDATA[
                				<alternativesValues>
                    					<alternativeValue>
                        					<alternativeID>[...]</alternativeID>
                        					<value>
                            						<real>[...]</real>
                        					</value>
                    					</alternativeValue>
                    				</alternativesValues>
                			]]>
			</xmcda>
		</input>
		
		
		<input id="alternativesValues2"
			name="alternativesValues2"
			displayName="alternativesValues2" isoptional="0" >
			<documentation>
				<description>Values of the first set of alternatives.</description>
			</documentation>
			<xmcda tag="alternativesValues">
				<![CDATA[
                				<alternativesValues>
                    					<alternativeValue>
                        					<alternativeID>[...]</alternativeID>
                        					<value>
                            						<real>[...]</real>
                        					</value>
                    					</alternativeValue>
                    				</alternativesValues>
                			]]>
			</xmcda>
		</input>
					
		
		<output id="alternativesValuesPlotComparison"
			name="alternativesValuesPlotComparison"
			displayName="alternativesValuesPlot">
			<documentation>
				<description>A string containing the base64 representation of the png image of the plot generated by the R statistical software.</description>
			</documentation>
			<xmcda tag="alternativeValue"/>
		</output>
		
		<output id="logMessage" name="messages" displayName="messages">
			<documentation>
				<description>Log messages/</description>
			</documentation>
			<xmcda tag="methodMessages">
				<![CDATA[
					<methodMessages mcdaConcept="methodMessage">
						<logMessage>
							<text> [...]</text>
						</logMessage>
						<errorMessage>
							<text> [...]</text>
						</errorMessage>
					</methodMessages>
				]]>
			</xmcda>
		</output>
		
	</parameters>
	
	
</program_description>	
